4Suite™ API Documentation

# ► Module Ft.Server.Server.Drivers.FtssModel

The driver for the 4Suite RDF DBMS
Copyright 2002 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: FtssModel, FtssModelDriver |  |  |  | Functions: WriteVersaResult |  |  |  | Fields: BNODE_BASE, BNODE_BASE_LEN

## Classes

class FtssModel
A wrapper that combines the model of the system and user models. The system model is read only

### Methods

__init__(self, sysModel, userModel, acl, path)
add(self, statements, checkSchema=1)
addContainer(self, container, scope=None)
checkConsistency(self)
complete(self, subject, predicate, object, statementUri=None, scope=None, **flags)
contains(self, statement)
containsPattern(self, subject, predicate, object, statementUri=None, scope=None, **flags)
disableSchema(self)
enableSchema(self)
exclude(self, subject, predicate, object, statementUri=None, scope=None, **flags)
extractContainer(self, uri, scope=None)
generateBnode(self)
Generates blank nodes (bnodes), AKA anonymous resources
generateUri(self)
Generates URIs on the fly, e.g. for reified statements. Do *not* use this to generate anonymous resources. Use generateBnode instead The default method is to generate a UUID URN, but this can be easily overridden.
isBnodeLabel(self, label)
Determines whether a label is a blank node
remove(self, statements)
removePattern(self, subject, predicate, object, statementUri=None, scope=None, **flags)
size(self, scope=None)
statements(self, scope=None)
versaQuery(self, querySrc, nsMapping=None, varBindings=None, scope=None)
versaQueryRaw(self, querySrc, nsMapping=None, varBindings=None, scope=None)

class FtssModelDriver
Cause Versa uses a driver directly

### Methods

__init__(self, sysDriver, userDriver)
complete(self, subject, predicate, object, statementUri, scope, flags)
contains(self, subject, predicate, object, statementUri, scope, flags)
isResource(self, res)
objectsFromSubAndPreds(self, subject, predicates, scope)
objectsFromSubsAndPred(self, subjects, predicate, scope)
resources(self, scope)
size(self, scope)
subjectsFromPredAndObjs(self, predicate, objects, scope)
subjectsFromPredsAndObj(self, predicates, object, scope)

## Functions

WriteVersaResult(result, stream, indent='')

## Fields

BNODE_BASE = 'http://4suite.org/rdf/anonymous/'
BNODE_BASE_LEN = 32